USE COWS
GO

BEGIN TRY
DROP INDEX [IX07_APPT_STRT] ON [dbo].[APPT]
END TRY
BEGIN CATCH
END CATCH
GO

ALTER TABLE dbo.APPT
ALTER COLUMN STRT_TMST DATETIME NOT NULL
GO

BEGIN TRY
CREATE NONCLUSTERED INDEX [IX07_APPT_STRT] ON [dbo].[APPT]
(
	[STRT_TMST] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
END TRY
BEGIN CATCH
END CATCH
GO

ALTER TABLE dbo.APPT
ALTER COLUMN END_TMST DATETIME NULL
GO

ALTER TABLE dbo.APPT_RCURNC_DATA
ALTER COLUMN STRT_TMST DATETIME NOT NULL
GO

ALTER TABLE dbo.APPT_RCURNC_DATA
ALTER COLUMN END_TMST DATETIME NOT NULL
GO

ALTER TABLE dbo.ORDR_NTE
DROP CONSTRAINT DF_getdate_436837263
GO

ALTER TABLE dbo.ORDR_NTE
ALTER COLUMN CREAT_DT DATETIME NOT NULL
GO

ALTER TABLE dbo.ORDR_NTE
ADD CONSTRAINT DF_getdate_436837263
DEFAULT (getdate()) FOR CREAT_DT;
GO